CocoaTweet::API::Interface::HttpBase Class Referenceabstract

`#include <httpBase.h>`

Inheritance diagram for CocoaTweet::API::Interface::HttpBase:
[legend]

## Protected Member Functions

virtual void | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth, std::function< void(const std::string &)> _callback)=0

## Static Protected Member Functions

static size_t | curlCallback_ (char *_ptr, size_t _size, size_t _nmemb, std::string *_stream)

## Protected Attributes

std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | oauth_
std::map< std::string, std::string > | bodyParam_
std::string | url_
std::string | contentType_

## Member Function Documentation

## curlCallback_()

static size_t CocoaTweet::API::Interface::HttpBase::curlCallback_ | ( | char * | _ptr,
|  | size_t | _size,
|  | size_t | _nmemb,
|  | std::string * | _stream
| ) |  |

inlinestaticprotected

## process()

virtual void CocoaTweet::API::Interface::HttpBase::process | ( | std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | _oauth,
|  | std::function< void(const std::string &)> | _callback
| ) |  |

protectedpure virtual

Implemented in CocoaTweet::API::Interface::HttpGet, and CocoaTweet::API::Interface::HttpPost.

## Member Data Documentation

## bodyParam_

std::map<std::string, std::string> CocoaTweet::API::Interface::HttpBase::bodyParam_

protected

## contentType_

std::string CocoaTweet::API::Interface::HttpBase::contentType_

protected

## oauth_

std::weak_ptr<CocoaTweet::OAuth::OAuth1> CocoaTweet::API::Interface::HttpBase::oauth_

protected

## url_

std::string CocoaTweet::API::Interface::HttpBase::url_

protected

The documentation for this class was generated from the following file:

- src/cocoatweet/api/interface/httpBase.h